# Contributing Guidelines

Contributions welcome! Please check past issues and pull requests before you open your own issue or pull request to avoid duplicating a frequently asked question.

In addition to improving the project, refactoring code, and implementing features, this project welcomes the following types of contributions:

- **Ideas**: participate in an issue thread or start your own to have your voice heard.
- **Writing**: contribute your expertise in an area by helping expand the included content.
- **Copy editing**: fix typos, clarify language, and generally improve the quality of the content.
- **Formatting**: help keep content easy to read with consistent formatting.

## Install

Fork and clone the repo, then `npm install` to install all dependencies.

## Testing

Tests are run with `npm test`. Please ensure all tests are passing before submitting a pull request (unless you're creating a failing test to increase test coverage or show a problem).

## Code Style and Linting

This repository uses [`semistandard`][semistandard-url] and [ESLine recommened rules][es-lint-url] to maintain code style and consistency and avoid style arguments. `npm test` runs linting and style checks so you don't have to!

[![semistandard][semistandard-image]][semistandard-url]

[semistandard-image]: https://cdn.rawgit.com/flet/semistandard/master/badge.svg
[semistandard-url]: https://github.com/Flet/semistandard
[eslint-url]: http://eslint.org/docs/rules/